# Shopware Plugin Order First

**Shopversion:** 
Shopware 4.x.x - 5.x.x

**Also needed:** 

**Module Path:** 
/engine/Shopware/Plugins/Local/Frontend/MicropaymentOF

**Specials:** 
none

---

## ChangeLog

v1.0.0

* First version of plugin with paymethods: 
 - creditcard
 - sepa
 - prepay
 - sofort
 - paypal
 - paysafecard
 - paydirekt
 - handypay
 - call2pay

## Merchant Setup


#### Project Setup
1. Setup project as usual.
2. Fill all fields and save the project.
3. After creation click again on new project row.
4. Copy and remember the project shortcut. (Kürzel)
5. We need this in the plugin later.

#### CreditCard Event
#### Sepa Event
#### PrePay Event
#### Sofort. Event
#### PayPal Event
#### PaySafeCard Event
#### PayDirekt Event
#### Call2Pay Event
#### HandyPay Event

1. Here we need the API URL and some additional parameters.
2. Mark the checkbox **Activate payment method for XXXX**
3. Now the **API-URL** and the **Additional parameters**.
4. With a little trick we can handle this very easy.
5. Please copy this URL to **API-URL** and click on **Save settings**.

	https://shopurl.de/root-of-shop/MicropaymentOF/Response/?orderid=__$orderid__&sessID=__$sessID__&transactionId=__transactionId__
	
	It will give you an error like:
**An error has occurred. We were unable to process your data**
and the field is marked as **Additional GET parameter contain invalid characters** but it will setup all needed parameters at once. 

6. Just another click on **Save settings** and you are done.



#### Get Access Key
1. Click on **Setup** in the top navi and then click on **Accessskey**.
2. Copy this hash and remember it for the plugin later.
3. Setup is done so far.

---

## Installing and configure the plugin
1. Login into your Admin area.
2. Click on **Settings** and select **Plugin Manager**.
3. Click on **Upload Plugin** top left and choose the plugin.zip and click on **Upload Plugin Button** in the bottom right of the window.
4. When uploaded corretly the plugin should appear unter **uninstalled plugins** in the list.
5. Click on the **+ button** on the right and a new window opens.
6. Click on **activate** and enter credentials below.
7. Click on **save** on bottom right.
8. Now goto **Settings** and select **Paymethods** and a new window opens.
9. Choose new **Micropayment Paymethod** and mark **active** in the middle of the options.
10. Click on **save** on the bottom right.
11. If you choose paymethid **call2pay** or **handypay** please check **Active for ESD products** too.
12. Goto **Settings** and select **Cache / Performance** and select **Cache / Performance** in the submenu.
13. Another window opens. Goto Tab **Cache**
14. Click on **Select all** on bottom right and click on **clean** 
15. After that recompile the templates.
16. Your are done.

---

## Test Credentials
#### VISA
	Number: 4111111111111111 
	CVV: 666 (success) with 3D Secure
	or
	CVV: 999 (success) without 3D Secure
	Date: something in future
	
#### MASTERCARD
	Number: 5105105105105100
	CVV: 666 (success) with 3D Secure
	or
	CVV: 999 (success) without 3D Secure
	Date: something in future

#### SEPA
	IBAN: DE89888888881234567890
	BIC: TESTDE00XXX
	Owner: Firstname Lastname

#### SOFORT
	BLZ: 88888888
	KTO: 1234567890
	PIN: 1234
	TAN: 12345
	
#### PREPAY
	Nothing special is needed.
	
#### PAYSAFECARD
	Nothing special is needed.
	
#### PAYDIREKT
	Amount:
	1-3 Euro		Successful with two factor auth
	4 - 500 Euro	Successful without two factor auth
	> 500 Euro	Failed
	
	Two Factor Auth:
	TAN:	123456
	
	User:	micropayment_SDE-Kaeufer 	
	Pass:	SDE-Kaeufer2$ 	
	Desc:	Success < 500 Euro

	User:	micropayment_unterAchtzehn
	Pass:	unterAchtzehn2$
	Desc:	Failed if customer age verification is set to over 18
	
	User:	micropayment_SperreKB
	Pass:	SperreKB2$
	Desc:	Failed due to issuing bank
	
#### PAYPAL
	You will need a special PayPal Sandbox account.
	Please contact our support.

#### CALL2PAY
	Nothing special is needed.
	
#### HANDYPAY
	PhoneNo. 88888888
	SMS-Code: 666
	
## FAQ

	Q: ...
	A: ...